#
# spec file for package python-jabberpy
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python:%define python python}
%{?!pybasever:%{expand:%%define pybasever %(%{__python} -c "import sys ; print sys.version[:3]")}}
%if 0%{?fedora} < 13 && 0%{?rhel} <= 6
%{!?py_sitedir: %define py_sitedir %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%define origname jabberpy

Name:           python-jabberpy
Version:        0.5
Release:        1.4
Summary:        Python xmlstream and jabber IM protocol libs

Group:          Development/Libraries
License:        LGPL v2.1 or later
Url:            http://jabberpy.sf.net
Source0:        http://unc.dl.sourceforge.net/sourceforge/jabberpy/%{origname}-%{version}-0.tar.gz
Patch0:         fix-package.dif
Patch1:         jabberpy-clean-sockets.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  %{python}-devel
%if 0%{?suse_version}
Requires:       python = %{pybasever}
%else
Requires:       python-abi = %{pybasever}
%endif
Provides:       jabberpy = %{version}

%description
jabber.py is a Python module for the jabber instant messaging protocol.
jabber.py deals with the xml parsing and socket code, leaving the
programmer to concentrate on developing quality jabber based
applications with Python.



%prep
%setup -n %{origname}-%{version}-0 -q
chmod -x examples/*.py
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root="$RPM_BUILD_ROOT" --prefix=%{_prefix} --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root,-)
%if 0%{?suse_version} < 1130
%dir %{py_sitedir}/jabber
%endif
%doc CREDITS MANIFEST README

%changelog
* Tue Feb  8 2011 ma@novell.com
- fix specfile
* Wed Feb  2 2011 mc@suse.de
- Provide jabberpy
* Tue Feb  1 2011 mc@suse.de
- fix build for RH
* Thu Dec  9 2010 mc@suse.de
- initial release
